
Redmine - Defect #3560

reposman.rb and crontab

2009-06-30 09:39 - Dmitry Plaschinsky

Status: Closed Start date: 2009-06-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Hello,i'm a russian user of Redmine, so sorry for my bad English :(

I have installed and configured Redmine on FreeBSD 7.2 with Apache22 and integration with SVN

I have some trouble with automatic repository creation by reposman.rb and trougth crontab

Normal operation in cli:

#/usr/local/bin/ruby /usr/local/www/redmine/extra/svn/reposman.rb -r rm -s /data/svn/repositories  -o www -u http://rm/svn/ -v  >>

/var/log/reposman.log

treating project redmine

repository /data/svn/repositories/creatf registered in Redmine with url http://rm/svn/creatf

repository /data/svn/repositories/creatf created

it's ok

but the same operation trougth crontab failed:

#cat /etc/crontab

*/5     *       *       *       *        root /usr/local/bin/ruby /usr/local/www/redmine/extra/svn/reposman.rb -r rm -s /data/svn/repositories  -o

www -u http://rm/svn/ -v  >> /var/log/reposman.log

#tail -f /var/log/reposman.log

querying Redmine for projects...

retrieved 1 projects

treating project redmine

unable to create /data/svn/repositories/creatf : "svnadmin create /data/svn/repositories/creatf" failed

History

#1 - 2009-07-02 20:29 - Jean-Philippe Lang

Maybe you could try to see why svnadmin fails on your system when running with cron.

#2 - 2009-12-26 13:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to No feedback

#3 - 2010-01-18 17:23 - Joachim Fritschi

You have to append the option:

--command='/usr/local/bin/svnadmin create'

FreeBSD has installs all ports in /usr/local. Crontab only has PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin set. This means reposman wont find the svnadmin

binary unless you extend your PATH or add the custom path.
